package com.example.shareaccount;

public class Account {
	private String name;
	private TypeAccount type;
	private String amount;
	
	public Account(String name, TypeAccount type, String amount){
		this.name = name;
		this.type = type;
		this.amount = amount;
	}
	
	public Account(){
		this.name = null;
		this.type = null;
		this.amount = null;
	}
	
	@Override
	public String toString() {
		return "Account [name=" + name + ", type=" + type + ", amount="
				+ amount + "]";
	}

	public TypeAccount getType() {
		return type;
	}

	public String getName() {
		return name;
	}
	
	public String getAmount() {
		return amount;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setType(TypeAccount type) {
		this.type = type;
	}
	
	public void setAmount(String amount) {
		this.amount = amount;
	}
}
