package com.example.shareaccount;

import java.util.ArrayList;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class EditFriend extends Activity{
	private long id2;
	private long acc_id, fr_id;
	private Friend friend;
	private EditText Paid;
	private TextView Topay;
	private EditText Comments;
	private EditText Username;
	private int total_amount;
	private int num;
	private int total_paid;
	private Button bSave;
		
	@Override
	protected void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.edit_friend);
		Bundle extras = getIntent().getExtras();
		id2 = extras.getLong("id2", id2); 
		acc_id = extras.getLong("acc_id", acc_id);
		fr_id = extras.getLong("fr_id", fr_id);
		total_amount = extras.getInt("total_amount", total_amount);
		friend = AccessBD.fr_element((int)id2, (int) acc_id);
		
		Username = (EditText) findViewById(R.id.Username);
		Username.setText(friend.getUserName());
		Paid = (EditText) findViewById(R.id.paid);
		Paid.setText(friend.getPaid());
		
		Topay = (TextView) findViewById(R.id.topay);
		Topay.setText(friend.getTopay());
		Comments = (EditText) findViewById(R.id.comments);
		Comments.setText(friend.getComments());
		
		bSave=(Button) findViewById(R.id.b_save);
		bSave.setOnClickListener(new OnClickListener(){
			public void onClick(View view){
				friend.setCuenta((int)acc_id);
				friend.setUserName(Username.getText().toString());
				friend.setPaid(Paid.getText().toString());
				
				ArrayList<Friend> friends = AccessBD.listFriends((int)acc_id);
				int count = friends.size();
				total_paid = Integer.parseInt(Paid.getText().toString());
		        num = (total_amount/count) - total_paid;
		    			
				friend.setTopay(String.valueOf(num));
				friend.setComments(Comments.getText().toString());
				AccessBD.updateFriend(friend, (int)fr_id, (int)acc_id);
				finish();
			}
		});
	}
	
	



}
