package com.example.shareaccount;

import java.util.ArrayList;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

public class ViewFriend extends Activity{
	private long id, acc_id, fr_id;
	private Friend friend;
	public FriendsAdapter friendsadapter ;
	private int total_paid;
	private int total_amount;
	private int num;
	
	@Override
	protected void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.view_friend);
		Bundle extras = getIntent().getExtras();
		id = extras.getLong("id2", id); 
		acc_id = extras.getLong("acc_id", acc_id); 
		total_amount = extras.getInt("amount",total_amount);
		friend = AccessBD.fr_element((int)id, (int)acc_id);
		fr_id = AccessBD.getFriendId(friend);
		Toast.makeText(this,String.valueOf((int)fr_id) , Toast.LENGTH_LONG).show();
		
		actualizar(friend);
		
	}
	
	@Override public boolean onCreateOptionsMenu(Menu menu){
		getMenuInflater().inflate(R.menu.view_menu, menu);
		return true;
	}
	
	@Override public boolean onOptionsItemSelected(MenuItem item){
		switch (item.getItemId()){
		case R.id.edit:
			runEditFriend(null);
			break;
		case R.id.rem:
			AccessBD.deleteFriend((int)fr_id);
			ArrayList<Friend> friends = AccessBD.listFriends((int)acc_id);
			int count = friends.size();
			for(int s=0;s<count;s++){
	            total_paid = Integer.parseInt((friends.get(s)).getPaid().toString());
	            num = (total_amount/count) - total_paid;
	    		friends.get(s).setTopay(String.valueOf(num));
	    		int fr_id2 = AccessBD.getFriendId(friends.get(s));
	    		AccessBD.updateFriend(friends.get(s), fr_id2, (int) acc_id);
	        }
			finish();
			break;
		}
		return true;
	}
	
	public void runEditFriend(View view){
		Intent i = new Intent(this, EditFriend.class);
		i.putExtra("id2", id);
		i.putExtra("acc_id", acc_id);
		i.putExtra("fr_id", fr_id);
		i.putExtra("total_amount", total_amount);
		startActivityForResult(i,1237);
	}
	
	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data){
		if(requestCode == 1237){
			friend = AccessBD.fr_element((int)id, (int) acc_id);
			actualizar(friend);
		}
	}
	
	public void actualizar(Friend friend){
			
		TextView Username = (TextView) findViewById(R.id.Username);
		Username.setText(friend.getUserName());
		TextView Paid = (TextView) findViewById(R.id.paid);
		Paid.setText(friend.getPaid());
		TextView Topay = (TextView) findViewById(R.id.topay);
		Topay.setText(friend.getTopay());
		TextView Comments = (TextView) findViewById(R.id.comments);
		Comments.setText(friend.getComments());
	}
	

}
